RMISecurityManager (Java Platform SE 8 )
Keywords: java.rmi.RMISecurityManager class
Date: 2026-04-17

compact2, compact3
java.rmi

## Class RMISecurityManager

- java.lang.Object
- - java.lang.SecurityManager
  - - java.rmi.RMISecurityManager

- Deprecated.
  Use `SecurityManager` instead.

      @Deprecated
      public class RMISecurityManager
      extends SecurityManager

  `RMISecurityManager` implements a policy identical to the policy implemented by `SecurityManager`. RMI applications should use the `SecurityManager` class or another appropriate `SecurityManager` implementation instead of this class. RMI's class loader will download classes from remote locations only if a security manager has been set.
  Implementation Note:

    Applets typically run in a container that already has a security manager, so there is generally no need for applets to set a security manager. If you have a standalone application, you might need to set a `SecurityManager` in order to enable class downloading. This can be done by adding the following to your code. (It needs to be executed before RMI can download code from remote hosts, so it most likely needs to appear in the `main` method of your application.)

            if (System.getSecurityManager() == null) {
                System.setSecurityManager(new SecurityManager());
            }

  Since:
    JDK1.1

- - ### Field Summary

    - ### Fields inherited from class java.lang.SecurityManager

      `inCheck`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `RMISecurityManager()` Deprecated. Constructs a new `RMISecurityManager`.

  - ### Method Summary

    - ### Methods inherited from class java.lang.SecurityManager

      `checkAccept, checkAccess, checkAccess, checkAwtEventQueueAccess, checkConnect, checkConnect, checkCreateClassLoader, checkDelete, checkExec, checkExit, checkLink, checkListen, checkMemberAccess, checkMulticast, checkMulticast, checkPackageAccess, checkPackageDefinition, checkPermission, checkPermission, checkPrintJobAccess, checkPropertiesAccess, checkPropertyAccess, checkRead, checkRead, checkRead, checkSecurityAccess, checkSetFactory, checkSystemClipboardAccess, checkTopLevelWindow, checkWrite, checkWrite, classDepth, classLoaderDepth, currentClassLoader, currentLoadedClass, getClassContext, getInCheck, getSecurityContext, getThreadGroup, inClass, inClassLoader`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### RMISecurityManager

          public RMISecurityManager()

      Deprecated.
      Constructs a new `RMISecurityManager`.
      Since:
        JDK1.1

Submit a bug or feature
For further API reference and developer documentation, see Java SE Documentation. That documentation contains more detailed, developer-targeted descriptions, with conceptual overviews, definitions of terms, workarounds, and working code examples.
Copyright © 1993, 2026, Oracle and/or its affiliates. All rights reserved. Use is subject to license terms. Also see the documentation redistribution policy.